Botan 1.10.17

Public Member Functions | List of all members
Botan::del_fun< T > Class Template Reference

`#include <stl_util.h>`

Inheritance diagram for Botan::del_fun< T >:

## Public Member Functions
void | operator() (T *ptr)

## Detailed Description

### template<class T>
class Botan::del_fun< T >

Function adaptor for delete operation

Definition at line 57 of file stl_util.h.

## Member Function Documentation

## ◆ operator()()

template<class T >

void Botan::del_fun< T >::operator() | ( | T * | ptr | ) |
| inline

Definition at line 60 of file stl_util.h.

60 { delete ptr; }

The documentation for this class was generated from the following file:

- src/utils/stl_util.h